summaryrefslogtreecommitdiffstats
path: root/misc
diff options
context:
space:
mode:
author Donald Cooley <dfc@warpmail.net>2014-01-13 00:23:27 +0700
committer Erik Hanson <erik@slackbuilds.org>2014-01-29 23:21:00 -0600
commit467b5e92750394ff4ee5c4913bd265640126b42c (patch)
tree5c76b51530b995b9e2453446359fe8c4a567b7cf /misc
parent40b64f4f1e3aa279e8eb9096abd46eee77bdf782 (diff)
downloadslackbuilds-467b5e92750394ff4ee5c4913bd265640126b42c.tar.gz
slackbuilds-467b5e92750394ff4ee5c4913bd265640126b42c.tar.xz
misc/qtkeychain: Added (Qt API to store passwords and secret data).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'misc')
-rw-r--r--misc/qtkeychain/README8
-rw-r--r--misc/qtkeychain/qtkeychain.SlackBuild96
-rw-r--r--misc/qtkeychain/qtkeychain.info10
-rw-r--r--misc/qtkeychain/slack-desc19
4 files changed, 133 insertions, 0 deletions
diff --git a/misc/qtkeychain/README b/misc/qtkeychain/README
new file mode 100644
index 0000000000..d3146b889d
--- /dev/null
+++ b/misc/qtkeychain/README
@@ -0,0 +1,8 @@
+QtKeychain is a Qt API to store passwords and other secret data
+securely. How the data is stored on Linux:
+
+If running, GNOME Keyring is used, otherwise qtkeychain tries to
+use KWallet (via D-Bus), if available. In unsupported environments
+QtKeychain will report an error. It will not store any data
+unencrypted unless explicitly requested (setInsecureFallback(
+true )).
diff --git a/misc/qtkeychain/qtkeychain.SlackBuild b/misc/qtkeychain/qtkeychain.SlackBuild
new file mode 100644
index 0000000000..87f0ffff16
--- /dev/null
+++ b/misc/qtkeychain/qtkeychain.SlackBuild
@@ -0,0 +1,96 @@
+#!/bin/sh
+
+# Slackware build script for qtkeychain
+
+# Copyright 2014 Donald Cooley La Porte, IN USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=qtkeychain
+VERSION=${VERSION:-0.1.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/v$VERSION.tar.gz || tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DCMAKE_BUILD_TYPE=Release ..
+ make
+ make install DESTDIR=$PKG
+cd ..
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ COPYING ReadMe* \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/misc/qtkeychain/qtkeychain.info b/misc/qtkeychain/qtkeychain.info
new file mode 100644
index 0000000000..d0b39895a9
--- /dev/null
+++ b/misc/qtkeychain/qtkeychain.info
@@ -0,0 +1,10 @@
+PRGNAM="qtkeychain"
+VERSION="0.1.0"
+HOMEPAGE="https://github.com/frankosterfeld/qtkeychain"
+DOWNLOAD="https://github.com/frankosterfeld/qtkeychain/archive/v0.1.0.tar.gz"
+MD5SUM="d95a28449159a3970085a049b53966c1"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Donald Cooley"
+EMAIL="dfc@warpmail.net"
diff --git a/misc/qtkeychain/slack-desc b/misc/qtkeychain/slack-desc
new file mode 100644
index 0000000000..147c1764dd
--- /dev/null
+++ b/misc/qtkeychain/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+qtkeychain: qtkeychain (A Qt API to store passwords and secret data securely)
+qtkeychain:
+qtkeychain:
+qtkeychain: How the data is stored on Linux:
+qtkeychain:
+qtkeychain: If running, GNOME Keyring is used, otherwise qtkeychain tries to
+qtkeychain: use KWallet (via D-Bus), if available. In unsupported environments
+qtkeychain: QtKeychain will report an error. It will not store any data
+qtkeychain: unencrypted unless explicitly requested (setInsecureFallback(
+qtkeychain: true )).
+qtkeychain: